summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorManuel Rüger <mrueg@gentoo.org>2016-04-19 23:45:09 +0200
committerManuel Rüger <mrueg@gentoo.org>2016-04-19 23:45:20 +0200
commit648a772d31013882839fcea4bff2193b961a0576 (patch)
tree5f2c93e5119d389d7108aca089c6f7ef970d082b /dev-ruby/mysql2
parentdev-ruby/mysql2: Remove ruby19 (diff)
downloadgentoo-648a772d31013882839fcea4bff2193b961a0576.tar.gz
gentoo-648a772d31013882839fcea4bff2193b961a0576.tar.bz2
gentoo-648a772d31013882839fcea4bff2193b961a0576.zip
dev-ruby/mysql2: Version bump to 0.4.4
Package-Manager: portage-2.2.28
Diffstat (limited to 'dev-ruby/mysql2')
-rw-r--r--dev-ruby/mysql2/Manifest1
-rw-r--r--dev-ruby/mysql2/mysql2-0.4.4.ebuild35
2 files changed, 36 insertions, 0 deletions
diff --git a/dev-ruby/mysql2/Manifest b/dev-ruby/mysql2/Manifest
index ae44c017706..94b7ed11023 100644
--- a/dev-ruby/mysql2/Manifest
+++ b/dev-ruby/mysql2/Manifest
@@ -1,3 +1,4 @@
DIST mysql2-0.3.20.gem 52224 SHA256 37166b21ca4b92a7af9bea566d78884b05391cfc14f786c18e7f264b422f0758 SHA512 65088e57b3693cb2b28cd37fc595de43edb85dba14421c1c43cd0c4e41efc0a8a39bd541213170af95e712998b44411a4212d9b96750207ed9d7292aa1e66c91 WHIRLPOOL 23e9852f3f9ee76e4463c4397b1e96288e2f8575030f33540c7c8cc8ca8fc106be2aec1c117dd008e4026872850731b4396babbbbeb971e8dacf523fe33387c9
DIST mysql2-0.4.2.gem 72704 SHA256 0a12414109d6f1c328ed29a2157daff265eab81f1b3bce7794fcb4804fdaeb66 SHA512 d6883149dbd505c5d7f73c657a5fd2eebaeff9f78d411ac2fcb9bf78dc7f45866290067f20af2dd40a1851a26b09f1af404bc7aba3c60dd979475b7db81e2dae WHIRLPOOL 999b87d21acb6f8dfeb33770c27dc0b00d4576edc5e14311e543bca09be79bf56fe8d9aa93b881dca99ed5a21634c2bb1328cb0f0877ee7f0573013bb0688284
DIST mysql2-0.4.3.gem 73728 SHA256 d81dca548bb36dde18ca187be7c7e497186f7881d24e9a58c53468976602989b SHA512 bd55bec7ae6eaa6e3f1aaffa990d9f6d19a98595a08b3eedcca3b1b38ef48181f241f651a5b20b1a8b4b55df6076d7addce9b8119e73ecc2bf384174b5f5a3e7 WHIRLPOOL d6533da63b6037638b7b54794791f6a1f3e1e6ecff6017b08acf8841348d75bee0c88a2f4ac9270d6746973a3fad2aa6465e8e76b3c6905aba2b2094ad3ca38d
+DIST mysql2-0.4.4.gem 73728 SHA256 2adf72de58581ddb17abe952f5c7843ee0caf3455ed20c82f9c41583ce3aa3ec SHA512 824f05266f65ebe5b9594a4955c439a931eab3eae2f948077e3fb53626d0402c6713a774b1939d44b8c06224c3f9f3d99299e512c734da0fdb2abe4ee654b7e4 WHIRLPOOL 3653f8d1aa9f1283792946f780bf05ab8b63cb8e157010fc7ef1af951f852b3d4e8426ea170f6da28adb13ea849e8b98c68df3333d93da388030bdd580504b93
diff --git a/dev-ruby/mysql2/mysql2-0.4.4.ebuild b/dev-ruby/mysql2/mysql2-0.4.4.ebuild
new file mode 100644
index 00000000000..e55c3d5c1ed
--- /dev/null
+++ b/dev-ruby/mysql2/mysql2-0.4.4.ebuild
@@ -0,0 +1,35 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+USE_RUBY="ruby20 ruby21 ruby22 ruby23"
+
+# Tests require a live MySQL database but should all pass.
+RUBY_FAKEGEM_TASK_TEST=""
+
+RUBY_FAKEGEM_TASK_DOC=""
+
+RUBY_FAKEGEM_EXTRADOC="README.md"
+
+inherit multilib ruby-fakegem
+
+DESCRIPTION="A modern, simple and very fast Mysql library for Ruby - binding to libmysql"
+HOMEPAGE="https://github.com/brianmario/mysql2"
+
+LICENSE="MIT"
+SLOT="0.4"
+KEYWORDS="~amd64 ~arm ~ppc ~ppc64 ~x86"
+IUSE=""
+
+DEPEND="${DEPEND} virtual/libmysqlclient"
+RDEPEND="${RDEPEND} virtual/libmysqlclient:="
+
+each_ruby_configure() {
+ ${RUBY} -Cext/mysql2 extconf.rb --with-mysql-config "${EPREFIX}/usr/bin/mysqlconfig" || die
+}
+
+each_ruby_compile() {
+ emake V=1 -Cext/mysql2
+ cp ext/mysql2/mysql2$(get_modname) lib/mysql2/ || die
+}